FreeList.h File Reference
`#include "ithread.h"`
`#include <errno.h>`
Include dependency graph for FreeList.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | FREELISTNODE
struct | FREELIST

## Typedefs

typedef struct FREELISTNODE | FreeListNode
typedef struct FREELIST | FreeList

## Functions

int | FreeListInit (FreeList *free_list, size_t elementSize, int maxFreeListSize)
void * | FreeListAlloc (FreeList *free_list)
int | FreeListFree (FreeList *free_list, void *element)
int | FreeListDestroy (FreeList *free_list)